summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/parsing/octal
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/parsing/octal')
-rwxr-xr-xtests/shell/testcases/parsing/octal13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/parsing/octal b/tests/shell/testcases/parsing/octal
new file mode 100755
index 00000000..09ac26e7
--- /dev/null
+++ b/tests/shell/testcases/parsing/octal
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+$NFT add table t || exit 1
+$NFT add chain t c || exit 1
+$NFT add rule t c 'ip saddr 01 continue comment "0.0.0.1"' || exit 1
+$NFT add rule t c 'ip saddr 08 continue comment "error"' && {
+ echo "'"ip saddr 08"'" not rejected 1>&2
+ exit 1
+}
+$NFT delete table t || exit 1
+
+exit 0
+